> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simplepay.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Get reporting transactions (payment-operations)



## OpenAPI

````yaml /en/openapi.json get /v1/reporting/transactions
openapi: 3.1.0
info:
  title: SimplePay API
  version: '2026-06-13'
  description: >-
    Contrato público para integrar SimplePay desde un backend. Incluye
    únicamente operaciones para comercios y administración protegida de
    credenciales.
servers:
  - description: Live
    url: https://api.simplepay.mx
  - description: Sandbox
    url: https://api.test.simplepay.mx
security:
  - SimplePayApiKey: []
tags:
  - name: API keys
  - name: Hosted Checkout
  - name: Payment Links
  - name: Payments
  - name: Refunds
  - name: Webhooks
  - name: Digital Catalog
  - name: Payment Policy
  - name: Reporting
  - name: Workspace
  - name: Customer Hub
  - name: Bookable Payments
  - name: Table Pay
  - name: Physical Checkout
  - name: In-person Payments
  - name: Terminal
  - name: Tap to Pay
  - name: Ticketing
  - name: Admission Control
  - name: Intelligence
externalDocs:
  description: SimplePay developer documentation
  url: https://docs.simplepay.mx
paths:
  /v1/reporting/transactions:
    get:
      tags:
        - Reporting
      summary: Get reporting transactions (payment-operations)
      operationId: getReportingTransactions
      responses:
        '200':
          description: >-
            Provider-neutral transactions with server-owned transfer
            classification.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportingTransactionsResponse'
components:
  schemas:
    ReportingTransactionsResponse:
      type: object
      additionalProperties: true
      required:
        - object
        - balance_transactions
      properties:
        object:
          const: simplepay.v1.reporting.transactions
        balance_transactions:
          type: array
          maxItems: 1500
          items:
            $ref: '#/components/schemas/ReportingBalanceTransaction'
    ReportingBalanceTransaction:
      type: object
      additionalProperties: true
      required:
        - transaction_kind
        - related_transfer_id
      properties:
        transaction_kind:
          type: string
          enum:
            - provider_transaction
            - platform_transfer
        related_transfer_id:
          type:
            - string
            - 'null'
          pattern: ^sptr_[a-z0-9]{32}$
  securitySchemes:
    SimplePayApiKey:
      type: http
      scheme: bearer

````